Modify

Opened 3 years ago

Closed 12 days ago

#13497 closed defect (irreproducible)

Lost of focus in Tag/Membership toggle dialog

Reported by: skyper Owned by: team
Priority: normal Milestone:
Component: Core Version:
Keywords: template_report focus Cc:

Description

What steps will reproduce the problem?

  1. open new data layer
  2. create an object
  3. click "add" to add a tag in the tag/membership toggle dialog
  4. add a tag without moving the mouse and hit "enter"
  5. press Alt+A
  6. (click in the tag/membership toggle dialog)
  7. (Alt+A and add tag plus "enter")
  8. (Alt+A)

What is the expected result?

The Add Tag Dialog opens (after 5. and 8.)

What happens instead?

Nothing

Please provide any additional information below. Attach a screenshot if possible.

After the first five steps the focus is lost and not shortcuts seem to work. The next three steps are just another way to get the same problem.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-08-29 20:19:31 +0200 (Mon, 29 Aug 2016)
Build-Date:2016-08-30 01:33:55
Revision:10916
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10916 en) Linux Debian GNU/Linux 8.5 (jessie)
Memory Usage: 420 MB / 882 MB (241 MB allocated, but free)
Java version: 1.8.0_102-8u102-b14.1-1~bpo8+1-b14, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-8-jre:amd64-8u102-b14.1-1~bpo8+1
Java ATK Wrapper package: libatk-wrapper-java:all-0.30.5-1
VM arguments: [-Djosm.home=<josm.pref>]
Program arguments: [--language=en]
Dataset consistency test: No problems found

Plugins:
+ OpeningHoursEditor (32699)
+ reverter (32796)
+ terracer (32699)
+ undelete (32699)
+ utilsplugin2 (32815)
+ wikipedia (32884)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/Crafts&zip=1

Map paint styles:
+ https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Landcover&zip=1

Attachments (0)

Change History (6)

comment:1 in reply to:  description ; Changed 3 years ago by Don-vip

Replying to skyper:

Java ATK Wrapper package: libatk-wrapper-java:all-0.30.5-1

This version is buggy as hell. Have you the possibility to test on Debian sid with libatk-wrapper-java >= 0.33.3-9 ?

comment:2 Changed 3 years ago by Don-vip

Owner: changed from team to skyper
Status: newneedinfo

comment:3 in reply to:  1 Changed 3 years ago by skyper

Owner: changed from skyper to team
Status: needinfonew

Replying to Don-vip:

Replying to skyper:

Java ATK Wrapper package: libatk-wrapper-java:all-0.30.5-1

This version is buggy as hell. Have you the possibility to test on Debian sid with libatk-wrapper-java >= 0.33.3-9 ?

Luckily, I am able to install the library from testing (0.33.3-8) and sid (0.33.3-9) on my stable system.

Sadly I noticed not much change and the described problem still exists.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-09-01 02:39:20 +0200 (Thu, 01 Sep 2016)
Build-Date:2016-09-01 01:34:52
Revision:10925
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10925 en) Linux Debian GNU/Linux 8.5 (jessie)
Memory Usage: 226 MB / 882 MB (133 MB allocated, but free)
Java version: 1.8.0_102-8u102-b14.1-1~bpo8+1-b14, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-8-jre:amd64-8u102-b14.1-1~bpo8+1
Java ATK Wrapper package: libatk-wrapper-java:all-0.33.3-9
VM arguments: [-Djosm.home=<josm.pref>]
Program arguments: [--language=en]
Dataset consistency test: No problems found

comment:4 Changed 3 years ago by skyper

I have the same problem after double-clicking on a tag in the toggle dialog and changing the tag or value. After closing with enter, Alt+A does not work directly.

comment:5 Changed 3 years ago by Don-vip

Cannot reproduce on Windows.

comment:6 Changed 12 days ago by Don-vip

Keywords: focus added
Resolution: irreproducible
Status: newclosed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.